﻿using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System;

namespace Schedule1.Controllers
{
    public class HomeController : Controller
    {
       public IActionResult Index()
        {
            List<ScheduleData> data = new List<ScheduleData> {
     new ScheduleData {
            Subject = "Turtle Walk",
            StartTime = new DateTime(2016, 6, 2, 3, 0, 0),
            EndTime = new DateTime(2016, 6, 2, 4, 0, 0),
            AllDay = false,
            Recurrence=false,
            RecurrenceRule=""
     }};
            ViewBag.datasource = data;
            return View();
        }

        public class ScheduleData
        {
            public int Id { get; set; }
            public string Subject { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public bool AllDay { get; set; }
            public bool Recurrence { get; set; }
            public string RecurrenceRule { get; set; }
        }
      
    }
}
